# TextEdit instance

Node text editing instance. It can be obtained through `mindMap.renderer.textEdit`.

## Methods

### isShowTextEdit()

Get whether the current text editing box is in a display state, that is, whether it is in a text editing state.

### hideEditTextBox()

Hiding the text editing box will set the content of the current text editing box as node text.

### registerTmpShortcut()

Register temporary shortcut keys, which means editing can be completed through the Enter and Tab keys.

### show({ node})

- `node`：Node instance to enter for editing

Manually enable node editing. By default, it will enter node editing when double clicking or pressing F2 on the node.
